Package org.eclipse.jface.text

## Interface DefaultInformationControl.IInformationPresenterExtension

Enclosing class:
  DefaultInformationControl

    public static interface DefaultInformationControl.IInformationPresenterExtension

An information presenter determines the style presentation of information displayed in the default information control. The interface can be implemented by clients.

Since:
  3.2

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `updatePresentation​(Drawable drawable, String hoverInfo, TextPresentation presentation, int maxWidth, int maxHeight)` Updates the given presentation of the given information and thereby may manipulate the information to be displayed.

### Method Detail

#### updatePresentation

    String updatePresentation​(Drawable drawable,
                              String hoverInfo,
                              TextPresentation presentation,
                              int maxWidth,
                              int maxHeight)

Updates the given presentation of the given information and thereby may manipulate the information to be displayed. The manipulation could be the extraction of textual encoded style information etc. Returns the manipulated information.

Replaces `DefaultInformationControl.IInformationPresenter.updatePresentation(Display, String, TextPresentation, int, int)` Implementations should use the font of the given `drawable` to calculate the size of the text to be presented.

Parameters:
  `drawable` - the drawable of the information control
  `hoverInfo` - the information to be presented
  `presentation` - the presentation to be updated
  `maxWidth` - the maximal width in pixels
  `maxHeight` - the maximal height in pixels
Returns:
  the manipulated information